Subject: bug#57483: 28.1.91; expand hl-line-mode to highlight-line-mode for readability

From: Van Ly <[email-masked]>
Date: Tue, 30 Aug 2022 13:35:58 +0000 (UTC)

On Tue, 30 Aug 2022, Eli Zaretskii wrote:

>> Cc: [email-masked]
>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Tue, 30 Aug 2022 12:35:24 +0200
>>
>> We could consider renaming hl-line-mode to highlight-line-mode, I guess?
>> Anybody have any opinions?
>
> We cannot rename such a veteran mode.  But we can add an alias.
>

Also, with emacs  customized the way that works for  me, the following
happens to "M-x hl TAB"

   M-x hl TAB
   [listing changes unexpectedly]
   M-x h-l
   flush-lines
   LaTeX-math-lg
   LaTeX-math-ll
   ...

What triggered me to file this bug is this chicken and egg problem.

I want to  activate "highlight line" mode but my  short term memory at
the finger  tips has  forgotten "hl"  at the  "M-x hl  C-j".  So  I go
typing "M-x  highlight" but  the generated  listing doesn't  fetch the
unavailable  "hl-line-mode"  which  I  very  much  prefer  to  see  as
"highlight-line-mode".